<?php
/**
 * The template for displaying Author Archive pages.
 */
get_header(); 

?>

<div id="content" data-role="content">

<?php if ( have_posts() ) : ?>

	<?php
		/* Queue the first post, that way we know
		 * what author we're dealing with (if that is the case).
		 *
		 * We reset this later so we can run the loop
		 * properly with a call to rewind_posts().
		 */
		the_post();
	?>

	<header class="page-header">
		<h2 class="page-title author"><?php printf( __( 'Author Archives: %s', 'codepeople-light-text' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' ); ?></h2>
	</header>

	<?php
		/* Since we called the_post() above, we need to
		 * rewind the loop back to the beginning that way
		 * we can run the loop properly, in full.
		 */
		rewind_posts();
	?>

	<?php
	// If a user has filled out their description, show a bio on their entries.
	if ( get_the_author_meta( 'description' ) ) : ?>
	<div id="author-info" data-role="collapsible" <?php print codepeople_light_get('CODEPEOPLE_LIGHT_CONTENT_THEME').codepeople_light_get('CODEPEOPLE_LIGHT_HEADER_THEME');?>>
		<h2><?php printf( __( 'About %s', 'codepeople-light-text' ), get_the_author() ); ?></h2>
		<div>
			<div id="author-avatar">
				<?php echo get_avatar( get_the_author_meta( 'user_email' )); ?>
			</div><!-- #author-avatar -->
			<div id="author-description">
				<?php the_author_meta( 'description' ); ?>
			</div><!-- #author-description	-->
		</div>	
	</div><!-- #entry-author-info -->
	<?php endif; ?>
	<?php codepeople_light_content_nav( 'nav-above' ); ?>
	<?php /* Start the Loop */?>
	<ul data-role="listview" data-inset="true" <?php print codepeople_light_get('CODEPEOPLE_LIGHT_LIST_THEME'); ?>>
	<?php while ( have_posts() ) : the_post(); ?>
		<?php get_template_part( 'subtemplate-list' ); ?>
	<?php endwhile; ?>
	</ul>
	<?php codepeople_light_content_nav( 'nav-below' ); ?>

<?php else : ?>

	<article id="post-0" class="post no-results not-found">
		<header class="entry-header">
			<h2 class="entry-title"><?php _e( 'Nothing Found', 'codepeople-light-text' ); ?></h2>
		</header><!-- .entry-header -->

		<div class="entry-content">
			<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'codepeople-light-text' ); ?></p>
			<?php get_search_form(); ?>
		</div><!-- .entry-content -->
	</article><!-- #post-0 -->

<?php endif; ?>
<?php get_sidebar(); ?>
</div><!-- #content -->
		

<?php get_footer(); ?>